//#include <LiquidCrystal.h>

#include <LiquidCrystal.h>

int trigPin=13;
int echoPin=11;
LiquidCrystal LCD(10,9,5,4,3,2);

float pinTime;
float targetDistance;
float speedOfSound=776.5;


void setup() {
  // put your setup code here, to run once:
Serial.begin(9600);

pinMode(trigPin, OUTPUT);
pinMode(echoPin, INPUT);

LCD.begin(16,2);
LCD.setCursor(0,0);
LCD.print(targetDistance);

}

void loop() {
  // put your main code here, to run repeatedly:
digitalWrite(trigPin, LOW);
delayMicroseconds(2000);
digitalWrite(trigPin, HIGH);
delayMicroseconds(20);
digitalWrite(trigPin, LOW);
delayMicroseconds(20);

pinTime=pulseIn(echoPin, HIGH);
pinTime= pinTime/1000000;
pinTime=pinTime/3600;

targetDistance=speedOfSound*pinTime;
targetDistance= targetDistance/2;
targetDistance= targetDistance*63360;

LCD.setCursor(0,1);
LCD.print(targetDistance);
LCD.print(" inches ");
}
